petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESNGSFunction

function used to convey a Gauss-Seidel sweep on the nonlinear function

### Synopsis

    #include <petscsnes.h>
    $    SNESNGSFunction(SNES snes,Vec x,Vec b,void *ctx);

| X | - solution vector
| B | - RHS vector
| ctx | - optional user-defined Gauss-Seidel context

### See Also

SNESSetNGS(), SNESGetNGS()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages